/*
 * Copyright 2012 Canonical Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem
import Ubuntu.Components.Popups 0.1

DefaultSheet {
    contentsWidth: parent.width - units.gu(1)
    StatusUpdateTile {
        id: tile
    }
        MouseArea {
            anchors.fill: tile
            onClicked: {
                PopupUtils.open(actionPopover, parent)
            }
        }
    Item {
        id: reply
        anchors.top: tile.bottom
        width: parent.width
        visible: false;
        UbuntuShape {
            id: messageArea
            objectName: "messageArea"
            anchors.left: parent.left
            anchors.right: parent.right
            anchors.topMargin: units.gu(1)
            anchors.leftMargin: units.gu(1)
            anchors.rightMargin: units.gu(1)

            height: units.gu(10)
            color: "#f2f2f2"

            TextArea {
                id: message
                color: "#333333"
                anchors.top: parent.top
                anchors.left: parent.left
                anchors.bottom: parent.bottom
                anchors.margins: units.gu(1)
                textFormat: TextEdit.AutoText
                wrapMode: Text.Wrap
                width: parent.width - message.anchors.leftMargin - message.anchors.rightMargin
                clip: true
                focus: true
            }
        }

        Item {
            id: actionsBar
            anchors.left: parent.left
            anchors.right: parent.right
            anchors.top: messageArea.bottom
            anchors.topMargin: units.gu(2)
            anchors.leftMargin: units.gu(1)
            anchors.rightMargin: units.gu(1)
            height: childrenRect.height

            Button {
                objectName: "postButton"
                anchors.right: parent.right
                anchors.top: parent.top
                text: i18n.tr("Reply")
                color: "#dd4814"
                width: units.gu(10)
                height: units.gu(4)
                onClicked: {
                    console.log(message.text);
                }
            }
        }
    }

    ActionPopover {
        id: actionPopover
    }
}
