/*
 * Copyright 2013 Canonical Ltd.
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * telephony-app is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.Popups 0.1

Rectangle {
    width: units.gu(14)
    height: parent.height
    color: "#212121"

    Column {
        anchors.fill: parent
        anchors.margins: units.gu(1)
        anchors.topMargin: units.gu(2)
        anchors.bottomMargin: units.gu(10)
        spacing: units.gu(2)

        ButtonImage {
            id: btnTimeline
            width: parent.width
            height: units.gu(5)
            text: "Timeline"
            color: "#34a3ec"
            onClicked: {
                toggle_buttons(btnTimeline);
                main.show_stream("messages");
            }
        }
        ButtonImage {
            id: btnMentions
            width: parent.width
            height: units.gu(5)
            text: "Mentions"
            color: "transparent"

            onClicked: {
                toggle_buttons(btnMentions);
                main.show_stream("mentions");
            }
        }
        ButtonImage {
            id: btnPrivate
            width: parent.width
            height: units.gu(5)
            text: "Private"
            color: "transparent"

            onClicked: {
                toggle_buttons(btnPrivate);
                main.show_stream("private");
            }
        }

        ButtonImage {
            id: btnSearch
            width: parent.width
            height: units.gu(5)
            text: "Search"
            color: "transparent"

            onClicked: {
                toggle_buttons(btnSearch);
                //main.show_search(search);
            }
        }
    }

    Button {
        width: parent.width
        height: units.gu(8)
        color: "lightblue"
        text: "write"
        anchors.bottom: parent.bottom
    }

    function toggle_buttons(button){
        btnTimeline.color = "transparent";
        btnMentions.color = "transparent";
        btnPrivate.color = "transparent";
        btnSearch.color = "transparent";
        button.color = "#34a3ec";
    }
}
